# Class MoveAnimTestPhase

#### Hierarchy (view full)

- BattlePhase
  - MoveAnimTestPhase

- Defined in src/phases.ts:3046

#####
Index

### Constructors

constructor

### Properties

moveQueue
scene

### Methods

end
hideEnemyTrainer
playMoveAnim
showEnemyTrainer
start

## Constructors

### constructor

- new MoveAnimTestPhase(scene, moveQueue?): MoveAnimTestPhase

- #### Parameters

  - scene: default
  - `Optional` moveQueue: Moves []

  #### Returns MoveAnimTestPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:3049

## Properties

### `Private` moveQueue

moveQueue: Moves []

- Defined in src/phases.ts:3047

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### playMoveAnim

- playMoveAnim(moveQueue, player): void

- #### Parameters

  - moveQueue: Moves []
  - player: boolean

  #### Returns void

  - Defined in src/phases.ts:3060

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:3055